------------------------------------------------------------------------
r93 | wutname1 | 2014-09-15 07:49:52 +0000 (Mon, 15 Sep 2014) | 48 lines
Changed paths:
   A /trunk/Modules/Artwork/Options.lua
   M /trunk/Modules/Artwork/SpartanUI_Artwork.lua
   M /trunk/Modules/Artwork/SpartanUI_Artwork.xml
   M /trunk/Modules/Artwork/Themes/Classic/Images/map-overlay.tga
   M /trunk/Modules/Artwork/Themes/Classic/Module-ActionBars.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-Minimap.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua
   M /trunk/Modules/Artwork/Themes/SciFi/Module-ActionBars.lua
   M /trunk/Modules/Artwork/Themes/SciFi/Module-Minimap.lua
   M /trunk/Modules/Artwork/Themes/SciFi/Style.lua
   M /trunk/Modules/FilmEffects/SpartanUI_FilmEffects.lua
   M /trunk/Modules/PartyFrames/scripts/Options.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PlayerFrames/scripts/Options.lua
   M /trunk/Modules/RaidFrames/scripts/Options.lua
   M /trunk/Modules/SpinCam/SpartanUI_SpinCam.lua
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Global-Framework.lua
   M /trunk/scripts/Module-DBSetup.lua
   M /trunk/scripts/Module-FontSettings.lua

9/15's Changes
-! Themes can now be switched via the settings
-- Bartender Settings are updated and the UI Reloaded after a new theme is picked to avoid LUA errors
- Minimap Handling/non-Handling has been re-introduced (Removed in last Alpha).
-- With the new process if a 3rd party addon is messing with the minimap users now get a prompt asking if they want SpartanUI's Themes to position or possibly modify the minimap
- Options Re-Build Started on
-- Removed a lot of the SpartanUI text thought the settings. It was just excessive.
- Classic Theme: MiniMap had to be redone due to the minimap not resetting back to circle on a reloadui
- Classic Theme: Player and Target Level Text has been reduced in size and re centered. 3 Number levels looked a bit off

9/14's Changes
-! Most if not all dependencies on the "Classic" Theme has been removed/modified, player frames now attach to a player frame anchor 
-! Due to the new Theming System Player Frames do not Require Artwork to function any more.
-! Shaman totems now properly display under player unit frame
- Work has started on the Clear Theme
-- In this alpha it is refereed to as SciFi this will change in the next build
-- The Options have not yet been redone to switch the theme it requires editing SpartanUI_Artwork/SpartanUI_Artwork.lua
- Bartender Profiles have been renamed to follow a naming standard of "SpartanUI THEME - VERSION", the old system of "SpartanUI VERSION" will not work as well going forward due to the theming system
- oUF Updated to latest version
- Some Common Theme functions are being migrated to the SpartanUI_Artwork module name space.

9/12's Changes
- Moved formatting function out of the Classic Theme

9/11's Changes
-! Viewport is now attached to the top of SpratanUI, no more clicking items behind the UI
-! 3D Portraits added to Party Frames
-! Party and Raid Frames are now back to functioning
- Removed oUF From Raid Frames and Party Frames
-- oUF is now only contained in the Player Frames
-- Player Frames are now required for Party & Raid Frames
-- Reduced Custom oUF overhead
-- oUF is now in a proper name space (SpartanoUF)
- Raid Frames how has an option to hide the blizzard Raid Frames (Enabled by default)
- Lifebloom Party Frame HoT Icon Fixed for (All Frames)
- Duplicate Setting in menu removed

9/10's Changes
-! 3D Portraits on Player and Target Frame
- Moved artwork out of Spartan Core completely
- Lifebloom Party Frame Hot Icon Fixed (Party Frames)
- Removed Lock/Unlock right click options from focus frame (They did not do anything)

9/9's Changes
-! TOC Updates for 6.0
-! Shrunk the size of the Garrison Icon, That thing is HUGE!
- Started Migrating to the new Themes system, This will allow for multiple looks to SpartanUI
- Few code cleanups, bug fixes, and i am sure some new bugs cuz beta.
------------------------------------------------------------------------
r92 | wutname1 | 2014-09-14 22:02:00 +0000 (Sun, 14 Sep 2014) | 46 lines
Changed paths:
   M /trunk/Modules/Artwork/SpartanUI_Artwork.lua
   M /trunk/Modules/Artwork/SpartanUI_Artwork.toc
   A /trunk/Modules/Artwork/SpartanUI_Artwork.xml
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/Artwork/Themes/Classic/Images/map-overlay.tga
   M /trunk/Modules/Artwork/Themes/Classic/Module-ActionBars.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-Minimap.lua
   M /trunk/Modules/Artwork/Themes/Classic/Module-StatusBars.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.xml
   A /trunk/Modules/Artwork/Themes/SciFi
   A /trunk/Modules/Artwork/Themes/SciFi/Global-Framework.lua
   A /trunk/Modules/Artwork/Themes/SciFi/Images
   A /trunk/Modules/Artwork/Themes/SciFi/Images/UI-World-Icon-Pushed.BLP
   A /trunk/Modules/Artwork/Themes/SciFi/Images/UI-World-Icon.BLP
   A /trunk/Modules/Artwork/Themes/SciFi/Images/WorldMap-Icon-Pushed.BLP
   A /trunk/Modules/Artwork/Themes/SciFi/Images/WorldMap-Icon.BLP
   A /trunk/Modules/Artwork/Themes/SciFi/Images/bar-backdrop0.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/bar-backdrop1.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/bar-backdrop3.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/bar-popup1.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/bar-popup2.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/base-center.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/base-left1.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/base-left2.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/base-right1.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/base-right2.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/map-overlay.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/status-glow.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/status-lead.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/status-plate-exp.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/status-plate-exp2.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Images/status-plate-rep.tga
   A /trunk/Modules/Artwork/Themes/SciFi/Module-ActionBars.lua
   A /trunk/Modules/Artwork/Themes/SciFi/Module-Minimap.lua
   A /trunk/Modules/Artwork/Themes/SciFi/Module-StatusBars.lua
   A /trunk/Modules/Artwork/Themes/SciFi/Style.lua
   A /trunk/Modules/Artwork/Themes/SciFi/Style.xml
   M /trunk/Modules/PartyFrames/SpartanUI_PartyFrames.toc
   M /trunk/Modules/PlayerFrames/SpartanUI_PlayerFrames.toc
   M /trunk/Modules/PlayerFrames/libs/oUF/LICENSE
   M /trunk/Modules/PlayerFrames/libs/oUF/blizzard.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/colors.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/altpowerbar.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/assistant.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/aura.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/castbar.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/classicons.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/combat.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/cpoints.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/eclipsebar.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/healprediction.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/health.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/leader.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/lfdrole.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/masterlooter.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/picon.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/portraits.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/power.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/pvp.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/qicon.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/range.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/readycheck.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/resting.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/ricons.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/runebar.lua
   A /trunk/Modules/PlayerFrames/libs/oUF/elements/stagger.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/tags.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/threat.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/elements/totems.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/events.lua
   A /trunk/Modules/PlayerFrames/libs/oUF/oUF.toc
   M /trunk/Modules/PlayerFrames/libs/oUF/oUF.xml
   M /trunk/Modules/PlayerFrames/libs/oUF/ouf.lua
   M /trunk/Modules/PlayerFrames/libs/oUF/units.lua
   A /trunk/Modules/PlayerFrames/libs/oUF_Plugins/oUF_AuraWatch.lua
   M /trunk/Modules/PlayerFrames/libs/oUF_Plugins/oUF_RaidDebuffs.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Features.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-PlayerFrame.lua
   M /trunk/Modules/RaidFrames/SpartanUI_RaidFrames.toc
   D /trunk/Modules/RaidFrames/libs
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Global-Framework.xml
   M /trunk/scripts/Module-DBSetup.lua


--Commiting one change early since curse packager did not build an alpha last night--

9/9's Changes
-! TOC Updates for 6.0
-! Shrunk the size of the Garrison Icon, That thing is HUGE!
- Started Migrating to the new Themes system, This will allow for multiple looks to SpartanUI
- Few code cleanups, bug fixes, and i am sure some new bugs cuz beta.

9/10's Changes
-! 3D Portraits on Player and Target Frame
- Moved artwork out of Spartan Core completely
- Lifebloom Party Frame Hot Icon Fixed (Party Frames)
- Removed Lock/Unlock right click options from focus frame (They did not do anything)

9/11's Changes
-! Viewport is now attached to the top of SpratanUI, no more clicking items behind the UI
-! 3D Portraits added to Party Frames
-! Party and Raid Frames are now back to functioning
- Removed oUF From Raid Frames and Party Frames
-- oUF is now only contained in the Player Frames
-- Player Frames are now required for Party & Raid Frames
-- Reduced Custom oUF overhead
-- oUF is now in a proper name space (SpartanoUF)
- Raid Frames how has an option to hide the blizzard Raid Frames (Enabled by default)
- Lifebloom Party Frame HoT Icon Fixed for (All Frames)
- Duplicate Setting in menu removed

9/12's Changes
- Moved formatting function out of the Classic Theme

9/14's Changes
-! Most if not all dependencies on the "Classic" Theme has been removed/modified, player frames now attach to a player frame anchor 
-! Due to the new Theming System Player Frames do not Require Artwork to function any more.
-! Shaman totems now properly display under player unit frame
- Work has started on the Clear Theme
-- In this alpha it is refereed to as SciFi this will change in the next build
-- The Options have not yet been redone to switch the theme it requires editing SpartanUI_Artwork/SpartanUI_Artwork.lua
- Bartender Profiles have been renamed to follow a naming standard of "SpartanUI THEME - VERSION", the old system of "SpartanUI VERSION" will not work as well going forward due to the theming system
- oUF Updated to latest version
- Some Common Theme functions are being migrated to the SpartanUI_Artwork module name space.

Known Issues:
---------------------
- Bartender profile changes due to theme changes take 2 reloads to properly apply.

------------------------------------------------------------------------
r90 | wutname1 | 2014-09-12 16:04:58 +0000 (Fri, 12 Sep 2014) | 30 lines
Changed paths:
   M /trunk/Modules/Artwork/Themes/Classic/Module-StatusBars.lua
   M /trunk/scripts/Global-Features.lua


--Commiting one change early since curse packager did not build an alpha last night--

9/9's Changes
-! TOC Updates for 6.0 WoD Beta
-! Shrunk the size of the Garrison Icon, That thing is HUGE!
- Started Migrating to the new Themes system, This will allow for multiple looks to SpartanUI
- Few code cleanups, bug fixes, and i am sure some new bugs cuz beta.

9/10's Changes
-! 3D Portraits on Player and Target Frame
- Moved artwork out of Spartan Core completely
- Lifebloom Party Frame Hot Icon Fixed (Party Frames)
- Removed Lock/Unlock right click options from focus frame (They did not do anything)

9/11's Changes
-! Viewport is now attached to the top of SpratanUI, no more clicking items behind the UI
-! 3D Portraits added to Party Frames
-! Party and Raid Frames are now back to functioning
- Removed oUF From Raid Frames and Party Frames
-- oUF is now only contained in the Player Frames
-- Player Frames are now required for Party & Raid Frames
-- Reduced Custom oUF overhead
-- oUF is now in a proper name space (SpartanoUF)
- Raid Frames how has an option to hide the blizzard Raid Frames (Enabled by default)
- Lifebloom Party Frame HoT Icon Fixed for (All Frames)
- Duplicate Setting in menu removed

9/12's Changes
- Moved formatting function out of the Classic Theme
------------------------------------------------------------------------
r89 | wutname1 | 2014-09-12 07:37:28 +0000 (Fri, 12 Sep 2014) | 24 lines
Changed paths:
   M /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   M /trunk/Modules/PartyFrames/SpartanUI_PartyFrames.toc
   D /trunk/Modules/PartyFrames/libs
   D /trunk/Modules/PartyFrames/scripts/Global-Features.lua
   M /trunk/Modules/PartyFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PartyFrames/scripts/Global-Framework.xml
   M /trunk/Modules/PartyFrames/scripts/Options.lua
   M /trunk/Modules/PartyFrames/scripts/Unit-PartyFrames.lua
   M /trunk/Modules/PlayerFrames/SpartanUI_PlayerFrames.toc
   M /trunk/Modules/PlayerFrames/scripts/Global-Features.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PlayerFrames/scripts/Options.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-FrameSpawn.lua
   M /trunk/Modules/PlayerFrames/scripts/Unit-PlayerFrame.lua
   M /trunk/Modules/RaidFrames/SpartanUI_RaidFrames.toc
   D /trunk/Modules/RaidFrames/scripts/Global-Features.lua
   M /trunk/Modules/RaidFrames/scripts/Global-Framework.lua
   M /trunk/Modules/RaidFrames/scripts/Global-Framework.xml
   M /trunk/Modules/RaidFrames/scripts/Options.lua
   M /trunk/Modules/RaidFrames/scripts/Unit-RaidFrames.lua
   M /trunk/lang/deDE.lua
   M /trunk/lang/enUS.lua
   M /trunk/lang/esES.lua
   M /trunk/lang/koKR.lua
   M /trunk/lang/zhCN.lua
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Module-DBSetup.lua

9/9's Changes
-! TOC Updates for 6.0 WoD Beta
-! Shrunk the size of the Garrison Icon, That thing is HUGE!
- Started Migrating to the new Themes system, This will allow for multiple looks to SpartanUI
- Few code cleanups, bug fixes, and i am sure some new bugs cuz beta.

9/10's Changes
-! 3D Portraits on Player and Target Frame
- Moved artwork out of Spartan Core completely
- Lifebloom Party Frame Hot Icon Fixed (Party Frames)
- Removed Lock/Unlock right click options from focus frame (They did not do anything)

9/11's Changes
-! Viewport is now attached to the top of SpratanUI, no more clicking items behind the UI
-! 3D Portraits added to Party Frames
-! Party and Raid Frames are now back to functioning
- Removed oUF From Raid Frames and Party Frames
-- oUF is now only contained in the Player Frames
-- Player Frames are now required for Party & Raid Frames
-- Reduced Custom oUF overhead
-- oUF is now in a proper name space (SpartanoUF)
- Raid Frames how has an option to hide the blizzard Raid Frames (Enabled by default)
- Lifebloom Party Frame HoT Icon Fixed for (All Frames)
- Duplicate Setting in menu removed
------------------------------------------------------------------------
r88 | wutname1 | 2014-09-11 06:57:59 +0000 (Thu, 11 Sep 2014) | 14 lines
Changed paths:
   M /trunk/Modules/Artwork/SpartanUI_Artwork.toc
   M /trunk/Modules/Artwork/Themes/Classic/Module-Minimap.lua
   M /trunk/Modules/Artwork/Themes/Classic/Style.xml
   M /trunk/Modules/PartyFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Features.lua
   M /trunk/Modules/PlayerFrames/scripts/Global-Framework.lua
   M /trunk/Modules/PlayerFrames/scripts/Options.lua
   M /trunk/SpartanUI.toc
   D /trunk/media/UI-World-Icon-Pushed.BLP
   D /trunk/media/UI-World-Icon.BLP
   D /trunk/media/WorldMap-Icon-Pushed.BLP
   D /trunk/media/WorldMap-Icon.BLP
   D /trunk/media/bar-backdrop0.tga
   D /trunk/media/bar-backdrop1.tga
   D /trunk/media/bar-backdrop3.tga
   D /trunk/media/bar-popup1.tga
   D /trunk/media/bar-popup2.tga
   D /trunk/media/base-center.tga
   D /trunk/media/base-left1.tga
   D /trunk/media/base-left2.tga
   D /trunk/media/base-right1.tga
   D /trunk/media/base-right2.tga
   D /trunk/media/map-overlay.tga
   D /trunk/media/status-glow.tga
   D /trunk/media/status-lead.tga
   D /trunk/media/status-plate-exp.tga
   D /trunk/media/status-plate-exp2.tga
   D /trunk/media/status-plate-rep.tga
   D /trunk/media/status-tooltip.tga
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Global-Framework.lua
   M /trunk/scripts/Module-DBSetup.lua

9/9's Changes
-! TOC Updates for 6.0 WoD Beta
- Started Migrating to the new Themes system, This will allow for multiple looks to SpartanUI
- Few code cleanups, bug fixes, and i am sure some new bugs cuz beta.
-! Shrunk the size of the Garrison Icon, That thing is HUGE!

9/10's Changes
- Moved artwork out of Spartan Core completely
-! 3D Portraits on Player and Target Frame
- Lifebloom Party Frame Hot Icon Fixed
- Removed Lock/Unlock right click options from focus frame (They did not do anything)

----------Known Issues------------
- Party and Raid fames completely un-usable. Possible oUF issues
------------------------------------------------------------------------
r87 | wutname1 | 2014-09-10 07:51:07 +0000 (Wed, 10 Sep 2014) | 3 lines
Changed paths:
   M /trunk/.pkgmeta
   A /trunk/Modules/Artwork
   A /trunk/Modules/Artwork/SpartanUI_Artwork.lua
   A /trunk/Modules/Artwork/SpartanUI_Artwork.toc
   A /trunk/Modules/Artwork/Themes
   A /trunk/Modules/Artwork/Themes/Classic
   A /trunk/Modules/Artwork/Themes/Classic/Global-Framework.lua
   A /trunk/Modules/Artwork/Themes/Classic/Images
   A /trunk/Modules/Artwork/Themes/Classic/Images/UI-World-Icon-Pushed.BLP
   A /trunk/Modules/Artwork/Themes/Classic/Images/UI-World-Icon.BLP
   A /trunk/Modules/Artwork/Themes/Classic/Images/WorldMap-Icon-Pushed.BLP
   A /trunk/Modules/Artwork/Themes/Classic/Images/WorldMap-Icon.BLP
   A /trunk/Modules/Artwork/Themes/Classic/Images/bar-backdrop0.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/bar-backdrop1.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/bar-backdrop3.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/bar-popup1.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/bar-popup2.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/base-center.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/base-left1.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/base-left2.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/base-right1.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/base-right2.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/map-overlay.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/status-glow.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/status-lead.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/status-plate-exp.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/status-plate-exp2.tga
   A /trunk/Modules/Artwork/Themes/Classic/Images/status-plate-rep.tga
   A /trunk/Modules/Artwork/Themes/Classic/Module-ActionBars.lua
   A /trunk/Modules/Artwork/Themes/Classic/Module-Minimap.lua
   A /trunk/Modules/Artwork/Themes/Classic/Module-StatusBars.lua
   A /trunk/Modules/Artwork/Themes/Classic/Style.lua
   A /trunk/Modules/Artwork/Themes/Classic/Style.xml
   M /trunk/Modules/FilmEffects/SpartanUI_FilmEffects.toc
   M /trunk/Modules/PartyFrames/SpartanUI_PartyFrames.toc
   M /trunk/Modules/PlayerFrames/SpartanUI_PlayerFrames.toc
   M /trunk/Modules/RaidFrames/SpartanUI_RaidFrames.toc
   M /trunk/Modules/SpinCam/SpartanUI_SpinCam.toc
   M /trunk/SpartanUI.toc
   M /trunk/scripts/Global-Features.lua
   M /trunk/scripts/Global-Framework.lua
   M /trunk/scripts/Global-Framework.xml
   D /trunk/scripts/Module-ActionBars.lua
   D /trunk/scripts/Module-BuffFrame.lua
   D /trunk/scripts/Module-ChatFrame.lua
   D /trunk/scripts/Module-Minimap.lua
   D /trunk/scripts/Module-StatusBars.lua

- TOC Updates for 6.0 WoD Beta
- Started Migrating to the new Themes system, This will allow for multiple looks to SpartanUI
- Few code cleanups, bug fixes, and i am sure some new bugs cuz beta.
------------------------------------------------------------------------
